### File

`packages/components/layout/eui-app/eui-app-top-message/top-message.component.ts`

### Implements

`AfterViewInit` `OnInit` `OnDestroy`

### Metadata

changeDetection | `ChangeDetectionStrategy.Default`
encapsulation | `ViewEncapsulation.None`
HostDirectives | `BaseStatesDirective` Inputs : euiPrimary euiInfo euiWarning euiSuccess euiDanger euiAccent euiVariant
selector | `eui-app-top-message`
imports | `EUI_ICON_BUTTON`
templateUrl | `./top-message.component.html`
styleUrl | `./top-message.scss`

### Index

###### Properties
appTopMessage appTopMessageChanges asService role
###### Methods
onCloseClick
###### Inputs
hasCustomContent isCloseable isVisible
###### Outputs
topMessageClose
###### HostBindings
attr.role class
###### Accessors
cssClasses isVisible

### Inputs

hasCustomContent
Type : `boolean`
Default value : `false`

isCloseable
Type : `boolean`
Default value : `false`

isVisible
Type : `boolean`

### Outputs

topMessageClose
Type : `EventEmitter`

### HostBindings

attr.role
Type : `string`
Default value : `'banner'`

class
Type : `string`

### Methods

onCloseClick
`onCloseClick()`
Returns : `void`

### Properties

appTopMessage
Type : `ElementRef`
Decorators : `@ViewChild('appTopMessage')`

appTopMessageChanges
Type : `Subscription`

asService
Default value : `inject(EuiAppShellService)`

role
Type : `string`
Default value : `'banner'`
Decorators : `@HostBinding('attr.role')`

### Accessors

cssClasses
get `cssClasses()`

isVisible
get `isVisible()`
set `isVisible(value: boolean)`
Parameters :
Name | Type | Optional
value | `boolean` | No
Returns : `void`

# results matching ""

# No results matching ""